summaryrefslogtreecommitdiff
path: root/scripts/scan-pkgs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/scan-pkgs.sh')
-rw-r--r--scripts/scan-pkgs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 69f2b1e3a..ad265d457 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -23,6 +23,10 @@ out=0
. $topdir/.config
+if [[ -n $ADK_TARGET_PACKAGE_RPM ]]; then
+ NEED_RPM="$NEED_RPM rpm"
+fi
+
if [[ -n $ADK_PACKAGE_ALSA_UTILS ]]; then
NEED_XMLTO="$NEED_XMLTO alsa-utils"
fi
@@ -111,6 +115,13 @@ if [[ -n $ADK_USE_CCACHE ]]; then
fi
fi
+if [[ -n $NEED_RPM ]]; then
+ if ! which rpmbuild >/dev/null 2>&1; then
+ echo >&2 You need rpmbuild to to use $NEED_RPM package backend
+ out=1
+ fi
+fi
+
#if [[ -n $ADK_COMPILE_MYSQL && $OStype != Linux ]]; then
# echo >&2 mySQL does not build on non-GNU/Linux.
# out=1